#pragma once
#include <Sound.h>

#define kNumChan 4

enum {
	kChan1,
	kChan2,
	kChan3,
	kChan4
};
enum {
	kStdPriority = 0x01,
	kMedPriority = 0x05,
	kHighPriority = 0x0A
};

typedef struct {
	SndChannelPtr	channel;
	short			priority;
	Handle			sndHandle;
} SndChanInfo;


/* call this when your program starts */
void InitSounds(Str255	sndFileName);

/* call this from your main loop */
void SoundKeeper();

/* use this to play sounds */
OSErr PlaySndAsynchChannel(short sndID, short chanNum, short priority);

/* call this when your program quits */
void FreeSounds(void);

/* misc routines used internally */
pascal void SndDoneProc(SndChannelPtr channel, SndCommand *cmd);
Handle	GetSound(short	sndID);

/* private global variables */
extern SndChanInfo	gChan[kNumChan];
