/*
//	WindowUtil
//	Stuff for dealing with windows
//
//	 1/29/93		By Brigham Stevens
//	 1992, 1993 Apple Computer, Inc.
//
*/

void DrawClippedGrowIcon(WindowPtr theWindow)
/*
	Clip out the lines that appear
	on the sides of a window with a grow icon.
*/
{
	Rect		clip;
	RgnHandle	oldClip;
	
	oldClip = NewRgn();
	if(!oldClip) {
		/* WE ARE IN HELL */
		DebugStr("\pHELL HAS BROKE LOOSE __ NEWRGN FDAILED");
	}
	GetClip(oldClip);
	
	clip = theWindow->portRect;
	clip.left = clip.right - 15;
	clip.top = clip.bottom - 15;

	ClipRect(&clip);
	
	DrawGrowIcon(theWindow);
	SetClip(oldClip);
	DisposeRgn(oldClip);
}
